com.tibbo.aggregate.common.filter.converter

## Class ControlStatesFilterUtil

- java.lang.Object
- - com.tibbo.aggregate.common.filter.converter.ControlStatesFilterUtil

-     public class ControlStatesFilterUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COLUMN_VALUE`
    `static TableFormat` | `LIST_OF_DATES`
    `static TableFormat` | `LIST_OF_DOUBLES`
    `static TableFormat` | `LIST_OF_FLOATS`
    `static TableFormat` | `LIST_OF_INTEGERS`
    `static TableFormat` | `LIST_OF_LONGS`
    `static TableFormat` | `LIST_OF_STRINGS`
    `static TableFormat` | `WRAPPED_DOUBLE`
    `static TableFormat` | `WRAPPED_FLOAT`
    `static TableFormat` | `WRAPPED_INTEGER`
    `static TableFormat` | `WRAPPED_LONG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlStatesFilterUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTable` | `makeEmptyDateList()`
    `static DataTable` | `makeEmptyDouble()`
    `static DataTable` | `makeEmptyDoubleList()`
    `static DataTable` | `makeEmptyFloat()`
    `static DataTable` | `makeEmptyFloatList()`
    `static DataTable` | `makeEmptyInteger()`
    `static DataTable` | `makeEmptyIntegerList()`
    `static DataTable` | `makeEmptyLong()`
    `static DataTable` | `makeEmptyLongList()`
    `static DataTable` | `makeEmptyRange()`
    `static DataTable` | `makeEmptyStringList()`
    `static java.lang.Number` | `unwrapNumber(DataTable wrappedNumber)`
    `static DataTable` | `wrapNumber(java.lang.Number number)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_VALUE

          public static final java.lang.String COLUMN_VALUE

      See Also:
        Constant Field Values

    - #### WRAPPED_INTEGER

          public static final TableFormat WRAPPED_INTEGER

    - #### WRAPPED_LONG

          public static final TableFormat WRAPPED_LONG

    - #### WRAPPED_FLOAT

          public static final TableFormat WRAPPED_FLOAT

    - #### WRAPPED_DOUBLE

          public static final TableFormat WRAPPED_DOUBLE

    - #### LIST_OF_INTEGERS

          public static final TableFormat LIST_OF_INTEGERS

    - #### LIST_OF_LONGS

          public static final TableFormat LIST_OF_LONGS

    - #### LIST_OF_FLOATS

          public static final TableFormat LIST_OF_FLOATS

    - #### LIST_OF_DOUBLES

          public static final TableFormat LIST_OF_DOUBLES

    - #### LIST_OF_STRINGS

          public static final TableFormat LIST_OF_STRINGS

    - #### LIST_OF_DATES

          public static final TableFormat LIST_OF_DATES

  - ### Constructor Detail

    - #### ControlStatesFilterUtil

          public ControlStatesFilterUtil()

  - ### Method Detail

    - #### wrapNumber

          public static DataTable wrapNumber(java.lang.Number number)

    - #### unwrapNumber

          public static java.lang.Number unwrapNumber(DataTable wrappedNumber)

    - #### makeEmptyInteger

          public static DataTable makeEmptyInteger()

    - #### makeEmptyIntegerList

          public static DataTable makeEmptyIntegerList()

    - #### makeEmptyLong

          public static DataTable makeEmptyLong()

    - #### makeEmptyLongList

          public static DataTable makeEmptyLongList()

    - #### makeEmptyFloat

          public static DataTable makeEmptyFloat()

    - #### makeEmptyFloatList

          public static DataTable makeEmptyFloatList()

    - #### makeEmptyDouble

          public static DataTable makeEmptyDouble()

    - #### makeEmptyDoubleList

          public static DataTable makeEmptyDoubleList()

    - #### makeEmptyStringList

          public static DataTable makeEmptyStringList()

    - #### makeEmptyDateList

          public static DataTable makeEmptyDateList()

    - #### makeEmptyRange

          public static DataTable makeEmptyRange()